%define lib_api		0
%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel	%mklibname %{name} -d

Name:		serd
Version:	0.18.2
Release:	%mkrel 3
Summary:	Lightweight RDF syntax library
Source0:	http://download.drobilla.net/%{name}-%{version}.tar.bz2
URL:		http://drobilla.net/software/
License:	ISC License (ISC)
Group:		System/Libraries

BuildRequires:	waf
BuildRequires:	pkgconfig

%description
Lightweight C library for RDF syntax which supports reading
and writing Turtle and NTriples. Serd is not intended to be a Swiss army
knife of RDF syntax, but rather is suited to resource limited or
performance critical applications, or situations where a simple
reader/writer with minimal dependencies is ideal
(e.g. in LV2 hosts or plugins).

%files -n %{name}
%doc %{_mandir}/man1/serdi.*
%{_bindir}/serdi

#-----------------------------------
%package -n %{lib_name}

Summary:	Lightweight RDF syntax library
Group:		System/Libraries
Obsoletes:	%{_lib}serd0 < 0.18.2-2

%description -n %{lib_name}
Lightweight C library for RDF syntax which supports reading
and writing Turtle and NTriples. Serd is not intended to be a Swiss-army
knife of RDF syntax, but rather is suited to resource limited or
performance critical applications, or situations where a simple
reader/writer with minimal dependencies is ideal
(e.g. in LV2 hosts or plugins).

%files -n %{lib_name}
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}.*

#-----------------------------------
%package -n %{lib_name_devel}
Summary:	Headers for the Lightweight RDF syntax library
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against serd.

%files -n %{lib_name_devel}
%{_libdir}/lib%{name}-%{lib_api}.so
%dir %{_includedir}/%{name}-%{lib_api}/%{name}
%{_includedir}/%{name}-%{lib_api}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}-%{lib_api}.pc

#-----------------------------------
%prep
%setup -q

%build
%setup_compile_flags
./waf configure --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir}
./waf -v

%install
./waf install --destdir=%{buildroot}


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.18.2-3.mga4
+ Revision: 529870
- Mageia 4 Mass Rebuild

* Sat Jul 13 2013 wally <wally> 0.18.2-2.mga4
+ Revision: 453814
- fix lib pkg name
- use our build time flags
- drop unneeded requires from devel pkg

* Sat Jul 13 2013 philippedidier <philippedidier> 0.18.2-1.mga4
+ Revision: 453622
- new version 0.18.2

* Mon Jan 14 2013 umeabot <umeabot> 0.18.0-2.mga3
+ Revision: 381940
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 23 2012 barjac <barjac> 0.18.0-1.mga3
+ Revision: 321337
- new version
- minor spec clean

* Wed Sep 07 2011 tv <tv> 0.4.2-1.mga2
+ Revision: 140013
- imported package serd


* Sat Jun 25 2011 Frank Kober <emuse@mandriva.org> 0.4.2-1mdv2011.0
+ Revision: 687116
- imported package serd

